<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
        ALTER TABLE invoice_validations
        ADD COLUMN panel_box_code TEXT DEFAULT NULL
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
        ALTER TABLE invoice_validations
        ADD COLUMN created_by TEXT DEFAULT NULL
        SQL;

        DB::statement($sql2);

        $sql3 = <<<'SQL'
        ALTER TABLE invoice_validations
        ADD COLUMN updated_by TEXT DEFAULT NULL
        SQL;

        DB::statement($sql3);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('invoice_validations', function (Blueprint $table) {
        //     //
        // });
    }
};
